%define module	configobj

Name:          python-%{module}
Summary:       Simple but powerful config file reader and writer
Version:       5.0.6
Release:       %mkrel 1
License:       BSD
Group:         Development/Python 
Provides:      python-ConfigObj = %{version}
URL:           http://configobj.readthedocs.org/
Source0:       https://pypi.python.org/packages/source/c/configobj/configobj-%{version}.tar.xz
Patch0:        configobj-import-all-fix.patch
Provides:      ConfigObj = %{version}
BuildRequires: pkgconfig(python) 
BuildRequires: python-setuptools
BuildRequires: python-six
Requires:      python-six
BuildArch:     noarch

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%package -n python3-%{module}
Summary:       Config file reading, writing, and validation for Python 3
Group:         Development/Python 
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-six
Requires:      python3-six

%description -n python3-%{module}
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%prep
%setup -q -n configobj-%{version}
%patch0 -p1 -b .all

cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
rm -rf %buildroot
%py2_install

pushd %{py3dir}
%py3_install
popd


%files
%{python_sitelib}/*


%files -n python3-%{module}
%{python3_sitelib}/*



%changelog
* Fri Mar 09 2018 bb2 <bb2> - 5.0.6-1pclos2018
- new version for mate-tweak
